GNU bug report logs - #60907
[PATCH 07/25] gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:07 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:31 2023
Received: from localhost ([127.0.0.1]:38616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW6-0007VC-ET
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:60132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVx-0007SQ-GQ
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:25 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVx-00023R-0V
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:21 -0500
Received: from mail-io1-xd36.google.com ([2607:f8b0:4864:20::d36])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVu-0006xv-OR
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:20 -0500
Received: by mail-io1-xd36.google.com with SMTP id d22so6995490iof.5
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=vDZfO1Pn31tCjHh1LPWi5TxYdKyeJxyPwbJ1K6q0DqA=;
 b=HDEJHZtuvyR+rlc2oettd5vWkuKYs8iy12qq+Zi7K8ko1hAFASjIa39UmDlY7b/DSm
 5lpUiu9sQkkTeVajRojcZTRRfxx4hG5M/e2SljblI7ktdEbmJeLHIDkwQfCxhQsQXgge
 n0lqORzDBUIHGmiZvt99ooVuSlrxOTA2YWwkW8LCe9BaSrhiXi5UHUYIzAvtuJtC8mgT
 y+frERGr+6XCYzdbX3l/mAxS9cKTrdCYHZKjXhl5YLZSxVzlu3CvgExXGcLlKuf5i+bd
 2YUvka4D53Hkp4CnC6CpbkXG0h8dedi8RJ5c/rmJKKyUP8oOhIlp/iAI0Ktxx1ZAX4Em
 nUZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=vDZfO1Pn31tCjHh1LPWi5TxYdKyeJxyPwbJ1K6q0DqA=;
 b=zqxMOZZ6kBqzqJS4tbooDOldYa/N/tKJGMxoMC6vQglxwcJs4U5Tp6WE/fidAtHqkq
 9iuNAkHlP2JZfFI/C2Kv8WCmUZ2cADR3zLv5NOYm4SSKfXEavmbe5JEX/Js2tbV4SEls
 taqPoNrKoq4aLmTCu07U4xHtcyc/ES2jAK5X6zVNDxgmx9PVu036s+SnqiQPpNqAvHlz
 Sff/VImEJuxYMDdp0JgHlxbY3WEELmZp6rmju3jeCaWJfSNXRwuDDxf0nvTHPRdn2p5M
 GiyGHszGZI2GtYeazwVbD4lIikjQrPDbenYhHlsPfaeH8VvpGZOeg934P05Oj8s+fNPP
 FPOg==
X-Gm-Message-State: AFqh2koFDcmwt95dXZdXWsYv8fOOroyl2LWAIYdFMuG/6pffqGsqeRvD
 Ea1UaaLTJ7Eza065bkVc9r/Cj7hlmeg=
X-Google-Smtp-Source: AMrXdXvQDlKvhNXXmZkMbXrVR4hMp9snMQTzoTOEg57B+01honFJXdFqzcdF2Ov8GIfLWT4Lz59/Hg==
X-Received: by 2002:a6b:8fc2:0:b0:6e0:3853:da06 with SMTP id
 r185-20020a6b8fc2000000b006e03853da06mr3881332iod.10.1674006317397; 
 Tue, 17 Jan 2023 17:45:17 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:16 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 07/25] gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.
Date: Tue, 17 Jan 2023 18:44:52 -0700
Message-Id: <20230118014510.19320-8-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::d36;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-io1-xd36.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-google-go-cmp-cmp): Update to 0.5.9.
---
 gnu/packages/golang.scm | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index aabaa6336c..9554234c7b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7024,28 +7024,27 @@ (define-public go-github-com-fatih-color
 (define-public go-github-com-google-go-cmp-cmp
   (package
     (name "go-github-com-google-go-cmp-cmp")
-    (version "0.5.2")
+    (version "0.5.9")
     (source (origin
               (method git-fetch)
               (uri (git-reference
-                     (url "https://github.com/google/go-cmp")
-                     (commit (string-append "v" version))))
+                    (url "https://github.com/google/go-cmp")
+                    (commit (string-append "v" version))))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0qchy411jm9q2l9mf7x3ry2ycaqp9xdhf2nx14qrpzcxfigv2705"))))
+                "0a13m7l1jrysa7mrlmra8y7n83zcnb23yjyg3a609p8i9lxkh1wm"))))
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/google/go-cmp/cmp"
        #:unpack-path "github.com/google/go-cmp"))
-    (propagated-inputs
-     (list go-golang-org-x-xerrors))
     (synopsis "Determine equality of values in Go")
-    (description "This package provides a more powerful and safer
-alternative to @code{reflect.DeepEqual} for comparing whether two values
-are semantically equal in Go (for writing tests).")
-    (home-page "https://godoc.org/github.com/google/go-cmp/cmp")
-    (license license:asl2.0)))
+    (description
+     "This package is intended to be a more powerful and safer
+alternative to @@code{reflect.DeepEqual} for comparing whether two values are
+semantically equal.")
+    (home-page "https://github.com/google/go-cmp")
+    (license license:bsd-3)))
 
 (define-public go-github-com-google-uuid
   (package
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60907; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.